public class Auto4
{
	private int anzahlGänge;
	private String kennzeichen;
	private int eingelegterGang;
	private static int maxBreiteNachStVOinMM=3800; //für alle Objekte
	
	//eine Klasse hat immer einen Konstruktor!
	//wird ggf. vom Kompiler erzeugt
	Auto4()
	{
		//Initialisierung der Instanzvariablen
		kennzeichen="noch nicht zugelassen";
		anzahlGänge=4;
	}
	Auto4(String kennzeichenNeu,int anzahlGängeNeu)
	{
		//Initialisierung der Instanzvariablen
		kennzeichen=kennzeichenNeu;
		anzahlGänge=anzahlGängeNeu;
	}
	public static int getMaxBreiteNachStVOinMM()
	{
		return maxBreiteNachStVOinMM;
	}
	public int getAnzahlGänge()
	{
		return anzahlGänge;
	}
	public String getKennzeichen()
	{
		return kennzeichen;
	}
	public int getEingelegterGang()
	{
		return eingelegterGang;
	}
	public static void setMaxBreiteNachStVOinMM(int neuerWert)
	{
		maxBreiteNachStVOinMM=neuerWert;
	}
	public void setKennzeichen(String kennzeichenNeu)
	{
		kennzeichen=kennzeichenNeu;
	}
	public void setEingelegterGang(int eingelegterGangNeu)
	{
		//darf nur eingelegt werden, wenn der neue Gang
		//kleiner/gleich anzahlGänge ist
		if(eingelegterGangNeu<=anzahlGänge&&
				eingelegterGangNeu>=0)
			eingelegterGang=eingelegterGangNeu;
		else
			throw new IllegalArgumentException("Wertebereich:"+
				"0>=Eingelegter Gang<="+anzahlGänge);
	}
}